#include "gpuBuffer.hpp"
#include "gpuMemory.hpp"

namespace render::kernel
{

GpuBuffer::GpuBuffer(SceKernelMemBlockType type, SceGxmMemoryAttribFlags attribs, size_t size)
{
    this->data = gpuAllocator(type, attribs, size, &this->uid);
}

GpuBuffer::~GpuBuffer()
{
    gpuFree(this->uid);
}

} // namespace render::kernel